apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: gemeente-hulst-app-debt-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/app-debt-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: app-debt-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: gemeente-hulst-app-debt-process
    config:
      organization: "Gemeente Hulst"
      linkRegisterAPIKeySecretName: "gemeente-hulst-link-register-apikey"
      linkRegisterAddress: "http://gemeente-hulst-link-register"
      debtRegisterAPIKeySecretName: "gemeente-hulst-debt-register-apikey"
      debtRegisterAddress: "http://gemeente-hulst-debt-register"
    ingress:
      enabled: true
      hosts:
        - app-debt-process-gemeente-hulst.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - app-debt-process-gemeente-hulst.demo.blauweknop.app
